> ## Documentation Index
> Fetch the complete documentation index at: https://developers.telnyx.com/llms.txt
> Use this file to discover all available pages before exploring further.

# View a room session.



## OpenAPI

````yaml https://telnyx-openapi-ng.s3.us-east-1.amazonaws.com/real-time-communications/video.yml get /room_sessions/{room_session_id}
openapi: 3.1.0
info:
  title: Telnyx Video API
  version: 2.0.0
  description: API for Video.
  contact:
    email: support@telnyx.com
servers:
  - url: https://api.telnyx.com/v2
security:
  - bearerAuth: []
paths:
  /room_sessions/{room_session_id}:
    get:
      tags:
        - Room Sessions
      summary: View a room session.
      operationId: ViewRoomSession
      parameters:
        - name: room_session_id
          in: path
          description: The unique identifier of a room session.
          required: true
          schema:
            type: string
            format: uuid
            example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
        - name: include_participants
          in: query
          description: To decide if room participants should be included in the response.
          schema:
            type: boolean
            example: true
      responses:
        '200':
          $ref: '#/components/responses/GetRoomSessionResponse'
        '404':
          $ref: '#/components/responses/video_ResourceNotFound'
      x-codeSamples:
        - lang: JavaScript
          source: >-
            import Telnyx from 'telnyx';


            const client = new Telnyx({
              apiKey: process.env['TELNYX_API_KEY'], // This is the default and can be omitted
            });


            const session = await
            client.rooms.sessions.retrieve('0ccc7b54-4df3-4bca-a65a-3da1ecc777f0');


            console.log(session.data);
        - lang: Python
          source: |-
            import os
            from telnyx import Telnyx

            client = Telnyx(
                api_key=os.environ.get("TELNYX_API_KEY"),  # This is the default and can be omitted
            )
            session = client.rooms.sessions.retrieve(
                room_session_id="0ccc7b54-4df3-4bca-a65a-3da1ecc777f0",
            )
            print(session.data)
        - lang: Go
          source: "package main\n\nimport (\n\t\"context\"\n\t\"fmt\"\n\n\t\"github.com/team-telnyx/telnyx-go\"\n\t\"github.com/team-telnyx/telnyx-go/option\"\n)\n\nfunc main() {\n\tclient := telnyx.NewClient(\n\t\toption.WithAPIKey(\"My API Key\"),\n\t)\n\tsession, err := client.Rooms.Sessions.Get(\n\t\tcontext.TODO(),\n\t\t\"0ccc7b54-4df3-4bca-a65a-3da1ecc777f0\",\n\t\ttelnyx.RoomSessionGetParams{},\n\t)\n\tif err != nil {\n\t\tpanic(err.Error())\n\t}\n\tfmt.Printf(\"%+v\\n\", session.Data)\n}\n"
        - lang: Java
          source: |-
            package com.telnyx.sdk.example;

            import com.telnyx.sdk.client.TelnyxClient;
            import com.telnyx.sdk.client.okhttp.TelnyxOkHttpClient;
            import com.telnyx.sdk.models.rooms.sessions.SessionRetrieveParams;
            import com.telnyx.sdk.models.rooms.sessions.SessionRetrieveResponse;

            public final class Main {
                private Main() {}

                public static void main(String[] args) {
                    TelnyxClient client = TelnyxOkHttpClient.fromEnv();

                    SessionRetrieveResponse session = client.rooms().sessions().retrieve("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0");
                }
            }
        - lang: Ruby
          source: >-
            require "telnyx"


            telnyx = Telnyx::Client.new(api_key: "My API Key")


            session =
            telnyx.rooms.sessions.retrieve("0ccc7b54-4df3-4bca-a65a-3da1ecc777f0")


            puts(session)
        - lang: CLI
          source: |-
            telnyx rooms:sessions retrieve \
              --api-key 'My API Key' \
              --room-session-id 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
components:
  responses:
    GetRoomSessionResponse:
      description: Get room session response.
      content:
        application/json:
          schema:
            type: object
            properties:
              data:
                $ref: '#/components/schemas/RoomSession'
    video_ResourceNotFound:
      description: Resource not found
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/video_Error'
  schemas:
    RoomSession:
      type: object
      properties:
        id:
          description: A unique identifier for the room session.
          type: string
          format: uuid
          example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
        room_id:
          description: Identify the room hosting that room session.
          type: string
          format: uuid
          example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777b0
        active:
          description: Shows if the room session is active or not.
          type: boolean
          example: false
        created_at:
          description: ISO 8601 timestamp when the room session was created.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        updated_at:
          description: ISO 8601 timestamp when the room session was updated.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        ended_at:
          description: ISO 8601 timestamp when the room session has ended.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        participants:
          type: array
          items:
            $ref: '#/components/schemas/RoomParticipant'
        record_type:
          type: string
          example: room_session
          readOnly: true
      example:
        id: 7b61621f-62e0-4aad-ab11-9fd19e272e73
        room_id: 7b61621f-5fe4-4aad-ab11-9fd19e272e73
        active: false
        created_at: '2021-04-16T09:46:20.954863Z'
        updated_at: '2021-04-16T10:24:55.962200Z'
        ended_at: '2021-04-16T10:24:55.962200Z'
        participants: []
        record_type: room_session
    video_Error:
      required:
        - code
        - title
      properties:
        code:
          type: string
        title:
          type: string
        detail:
          type: string
        source:
          type: object
          properties:
            pointer:
              description: JSON pointer (RFC6901) to the offending entity.
              type: string
            parameter:
              description: Indicates which query parameter caused the error.
              type: string
        meta:
          type: object
          additionalProperties: true
      type: object
    RoomParticipant:
      type: object
      properties:
        id:
          description: A unique identifier for the room participant.
          type: string
          format: uuid
          example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777f0
        session_id:
          description: Identify the room session that participant is part of.
          type: string
          format: uuid
          example: 0ccc7b54-4df3-4bca-a65a-3da1ecc777b0
        context:
          description: Context provided to the given participant through the client SDK
          type: string
          example: Alice
        joined_at:
          description: ISO 8601 timestamp when the participant joined the session.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        updated_at:
          description: ISO 8601 timestamp when the participant was updated.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        left_at:
          description: ISO 8601 timestamp when the participant left the session.
          type: string
          format: date-time
          example: '2021-03-26T17:51:59.588408Z'
        record_type:
          type: string
          example: room_participant
          readOnly: true
      example:
        id: 7b61621f-62e0-4aad-ab11-9fd19e272e73
        session_id: 7b61621f-5fe4-4aad-ab11-9fd19e272e73
        context: Alice
        joined_at: '2021-04-16T09:46:20.954863Z'
        updated_at: '2021-04-16T10:24:55.962200Z'
        left_at: '2021-04-16T10:24:55.962200Z'
        record_type: room_participant
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````